Subject: RE: Scoped Addresses and Renumbering

From: "Michel Py" <[email-masked]>
Date: Fri, 14 Jun 2002 08:37:31 -0700

Michael has very good points here: It would be a lot better to have
globally unique addresses rather than re-usable SLs. But how do we do
that? Well, if we could allocate a /3 and make:

001x:xxxx:yyyy:SLA:E:U:I:64 = my address
010x:xxxx:yyyy:SLA:E:U:I:64 = corresponding private, 010::/3 blackholed
by policy.

That would be nice, and I'd drop SLs in a heartbeat, but how realistic
is that?

Michel.

> Michael Thomas wrote:
> To my mind, one of the key failure modes of
> overlay addressing is collisions when the original
> assumptions of the overlay cease to be true --
> like when you get two companies who merge, say,
> and their net 10 address spaces collide. This
> drives integration attempts to a great deal of
> distraction and a Quick Fix NAT(tm) is almost
> certainly the result.
> What you'd really like in that situation is to
> renumber, but color me skeptical that renumbering
> will ever be "easy" or "automatic", especially
> when you consider the widespread conflation of
> addresses as routing tags and as identity. Thus,
> I think site locals will still beg the Quick
> Fix NAT(tm). Badness.
> If we instead say that you should just blackhole
> otherwise globally routed prefixes at the site
> boundary, we don't run into this problem. If you
> have a change of policy, you just change some or
> all of the prefix that gets blackholed instead of
> renumbering. Just as easy, if not easier than
> setting up NAT's, IMHO. 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------